<?php
/*
 * system/login/Check.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
require_once( dirname(__FILE__)
.DIRECTORY_SEPARATOR.'ModuleBase.class.php');
/**
 * spider : システム設定管理者 ログイン状態チェック用アクションモジュールクラス
 * 
 * spiderのページから呼び出して実行します。
 * 
 * @package system
 * @subpackage login
 * @category module
 * @version 1.2.00
 * @copyright Copyright(c)2011, Shopformer Development Team. <shopformer-dev@lists.sourceforge.jp>
 * @author Masanori Nakashima
 * @access public
 */
class system_login_Check extends system_login_ModuleBase {
	function system_login_Check(){
	}
	function execute( & $request ) {
		// ログインフラグ
		$loginInformationObject	= null;
		$is_login				= $this->isLogin( $request );
		if( $is_login === true ) {
			$loginInformationObject	= $this->getLoginUserObject( $request );
			$request->setAttribute('system.login.logininformation', $loginInformationObject );
		}
		$request->setAttribute('system.login.is_login', $is_login );
	}
}
?>